# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author First Last <your email>
# /home/cvsroot/gentoo-x86/skel.build,v 1.7 2001/08/25 21:15:08 chadh Exp

S=${WORKDIR}/${P}

DESCRIPTION="Genealogical Research and Analysis Management Programming System"

SRC_URI="http://prdownloads.sourceforge.net/gramps/${P}.tar.gz"

HOMEPAGE="http://gramps.sourceforge.net/"

DEPEND=">=dev-lang/python-2.0
	>=gnome-base/gnome-core-1.2
	dev-python/gnome-python
	dev-python/PyXML
	dev-python/Imaging
	dev-python/ReportLab"

RDEPEND="${DEPEND}"

src_unpack() {
	
	unpack ${P}.tar.gz
	cd ${S}/src

	#Apply patch to allow compiling with python-2.2
	patch -p0 < ${FILESDIR}/${P}-gentoo.diff

}

src_compile() {
	./configure \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
	--prefix=/usr \
	--host=${CHOST} || die
	
	emake || die

}

src_install () {
	
	make infodir=${D}/usr/share/info \
		mandir=${D}/usr/share/man \
		prefix=${D}/usr \
    	install || die

	dodoc COPYING NEWS README TODO
	
}

